from shop import app, db
from shop.databases import User
from shop.databases import product_table

# initialtes some users and products in the tables as well as runs the program
if __name__ == '__main__':
    with app.app_context():
        db.create_all()
        if User.query.filter_by(username='michael').first() is None:
            User.register('michael', 'michael1')
        if User.query.filter_by(username='connor').first() is None:
            User.register('connor', 'connor1')
        if User.query.filter_by(username='alex').first() is None:
            User.register('alex', 'alex1')
        if product_table.query.filter_by(product_name = 'Fox 36').first() is None:
            product_table.new_product('Fox 36', 1139.00, 0.7, 'fox36.jpg', 'fox', 'fork', 'A high-performance mountain bike suspension fork with 36mm stanchions')
        if product_table.query.filter_by(product_name = 'Rockshox Pike').first() is None:
            product_table.new_product('Rockshox Pike', 565.27, 0.5, 'pike.jpg', 'rockshox', 'fork', 'A durable and adjustable MTB suspension fork with 35mm stanchions')
        if product_table.query.filter_by(product_name = 'Rockshox Yari').first() is None:
            product_table.new_product('Rockshox Yari', 550.00, 0.5, 'yari.jpg', 'rockshox', 'fork', 'A robust and affordable MTB suspension fork with 35mm stanchions')
        if product_table.query.filter_by(product_name = 'Fox 34').first() is None:
            product_table.new_product('Fox 34', 749.00, 0.5, 'fox34.jpg', 'fox', 'fork', 'A versatile mountain bike suspension fork with 34mm stanchions')
        if product_table.query.filter_by(product_name = 'SR Suntor').first() is None:
            product_table.new_product('SR Suntor', 210.50, 0.5, 'suntor.jpg', 'suntor', 'fork', 'An entry-level mountain bike suspension fork with decent performance')
        if product_table.query.filter_by(product_name='Kona Process 153').first() is None:
            product_table.new_product('Kona Process 153', 1749.00, 2.3, 'process_153_frame.jpg', 'vitus', 'frame','A strong and agile aluminum MTB frame for trail riding' )
        if product_table.query.filter_by(product_name='Santa Cruz Hightower').first() is None:
            product_table.new_product('Santa Cruz Hightower', 3599.00, 2.2, 'SC_Hightower_frame.png', 'santa cruz', 'frame', 'A top-tier carbon fiber frame for all-mountain riding')
        if product_table.query.filter_by(product_name='Yeti SB165').first() is None:
            product_table.new_product('Yeti SB165', 2933.24, 2.1, 'SB165_frame.jpg', 'yeti', 'frame', 'A high-end carbon fiber frame for aggressive enduro riding')
    app.run(debug = True)